commit:     bc9e021f483478b02dfca0defc8df5e235a97364
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Mon Dec 28 17:55:22 2020 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Mon Dec 28 17:55:22 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bc9e021f

dev-util/boost-build: Version bump to 1.75.0

Bug: https://bugs.gentoo.org/761100
Bug: https://bugs.gentoo.org/761328
Package-Manager: Portage-3.0.12, Repoman-3.0.2
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 dev-util/boost-build/Manifest                  |  1 +
 dev-util/boost-build/boost-build-1.75.0.ebuild | 76 ++++++++++++++++++++++++++
 2 files changed, 77 insertions(+)

diff --git a/dev-util/boost-build/Manifest b/dev-util/boost-build/Manifest
index 205dbe8592a..98c80b335c3 100644
--- a/dev-util/boost-build/Manifest
+++ b/dev-util/boost-build/Manifest
@@ -1 +1,2 @@
 DIST boost_1_74_0.tar.bz2 109600630 BLAKE2B 
2982f64fccf6fdb3b4b74452e603f459242d7abb42df4162278d9b558b637786a2eb97442126967b19088d591777c64ced8f60a23e71eaa0b7545e80f800de63
 SHA512 
4ec9c1164ec9b95ce46ba1c073e586c94b3882dce5b7347ea14bbef0c1da230e12aa5328a501ce38cae1b1d7623daa3246325625899179b4cc309242540982a4
+DIST boost_1_75_0.tar.bz2 121849575 BLAKE2B 
ce7ecd8bcee518ce54f7e5302f202acbea60cedd6ae9248708c0bb5bbc2713607b2e1967a9e6f77cc20a4c008c1ee4db651def55937efc80407487a7a44fa8d6
 SHA512 
d86f060245e98dca5c7f3f831c98ea9ccbfa8310f20830dd913d9d4c939fbe7cb94accd35f1128e7c4faf6c27adb6f4bb54e5477a6bde983dfc7aa33c4eed03a

diff --git a/dev-util/boost-build/boost-build-1.75.0.ebuild 
b/dev-util/boost-build/boost-build-1.75.0.ebuild
new file mode 100644
index 00000000000..815dc83605b
--- /dev/null
+++ b/dev-util/boost-build/boost-build-1.75.0.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit flag-o-matic prefix toolchain-funcs
+
+MY_PV="$(ver_rs 1- _)"
+
+DESCRIPTION="A system for large project software construction, simple to use 
and powerful"
+HOMEPAGE="https://boostorg.github.io/build/";
+SRC_URI="https://dl.bintray.com/boostorg/release/${PV}/source/boost_${MY_PV}.tar.bz2";
+
+LICENSE="Boost-1.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 
~sparc ~x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos 
~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="examples"
+RESTRICT="test"
+
+S="${WORKDIR}/boost_${MY_PV}/tools/build/src"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-1.71.0-disable_python_rpath.patch
+       "${FILESDIR}"/${PN}-1.71.0-darwin-gentoo-toolchain.patch
+       "${FILESDIR}"/${PN}-1.73.0-add-none-feature-options.patch
+       "${FILESDIR}"/${PN}-1.71.0-respect-c_ld-flags.patch
+       "${FILESDIR}"/${PN}-1.74.0-no-implicit-march-flags.patch
+)
+
+src_unpack() {
+       tar xojf "${DISTDIR}/${A}" boost_${MY_PV}/tools/build || die "unpacking 
tar failed"
+}
+
+src_prepare() {
+       default
+
+       pushd .. >/dev/null || die
+       eapply "${FILESDIR}"/${PN}-1.71.0-fix-test.patch
+       popd >/dev/null || die
+}
+
+src_configure() {
+       tc-export CXX
+
+       # need to enable LFS explicitly for 64-bit offsets on 32-bit hosts 
(#761100)
+       append-lfs-flags
+}
+
+src_compile() {
+       cd engine || die
+       ./build.sh cxx -d+2 --without-python || die "building bjam failed"
+}
+
+src_test() {
+       # Forget tests, bjam is a lost cause
+       :
+}
+
+src_install() {
+       dobin engine/{bjam,b2}
+
+       insinto /usr/share/boost-build
+       doins -r "${FILESDIR}/site-config.jam" \
+               ../boost-build.jam bootstrap.jam build-system.jam 
../example/user-config.jam *.py \
+               build kernel options tools util
+
+       find "${ED}"/usr/share/boost-build -iname '*.py' -delete || die
+
+       dodoc 
../notes/{changes,release_procedure,build_dir_option,relative_source_paths}.txt
+
+       if use examples; then
+               docinto examples
+               dodoc -r ../example/.
+               docompress -x /usr/share/doc/${PF}/examples
+       fi
+}

Reply via email to